"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.XChart = exports.XMark = exports.LoadingMark = exports.UpChevron = exports.DownChevron = void 0;

var _preact = require("preact");

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const DownChevron = props => (0, _preact.h)("path", _extends({
  className: "downchev"
}, props, {
  d: "M87 4.2L65 35a6.2 6.2 0 01-10 0L33 4.2A10 10 0 0021 .8 100 100 0 000 13l42.7 60.8c9.5 13.6 25.1 13.6 34.6 0L120 13A100 100 0 0099 .8a10 10 0 00-12 3.4z"
}));

exports.DownChevron = DownChevron;

const UpChevron = props => (0, _preact.h)("path", _extends({
  fill: "#73D2E1",
  className: "upchev"
}, props, {
  d: "M87 139.8L65 109a6.2 6.2 0 00-10 0l-22 30.7a10 10 0 01-12 3.4C13.5 140 6.5 135.9 0 131l42.7-60.8c9.5-13.6 25.1-13.6 34.6 0L120 131a100 100 0 01-21 12.2 10 10 0 01-12-3.4z"
}));

exports.UpChevron = UpChevron;

const LoadingMark = (_ref) => {
  let {
    light
  } = _ref,
      props = _objectWithoutProperties(_ref, ["light"]);

  const textColor = light ? '#FFF' : '#193750';
  return (0, _preact.h)("svg", _extends({
    viewBox: "-60 -72 240 288",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), (0, _preact.h)(DownChevron, {
    fill: textColor
  }), (0, _preact.h)(UpChevron, null));
};

exports.LoadingMark = LoadingMark;

const XMark = (_ref2) => {
  let {
    light
  } = _ref2,
      props = _objectWithoutProperties(_ref2, ["light"]);

  const textColor = light ? '#FFF' : '#193750';
  return (0, _preact.h)("svg", _extends({
    viewBox: "0 0 120 144",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), (0, _preact.h)(DownChevron, {
    fill: textColor
  }), (0, _preact.h)(UpChevron, null));
};

exports.XMark = XMark;

const XChart = (_ref3) => {
  let {
    light,
    includeDomain = true
  } = _ref3,
      props = _objectWithoutProperties(_ref3, ["light", "includeDomain"]);

  const textColor = light ? '#FFF' : '#193750';
  return (0, _preact.h)("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 ".concat(includeDomain ? '744' : '552', " 144")
  }, props), (0, _preact.h)(DownChevron, {
    fill: textColor
  }), (0, _preact.h)(UpChevron, null), (0, _preact.h)("path", {
    fill: textColor,
    d: "M173.4 37c6.9 0 15.7 1 26.4 3.2l5.3 1.3-.8 21.4c-10.4-1-18.1-1.6-23.1-1.6-9.2 0-15.2 2-18.3 6-2.9 4-4.3 11.4-4.3 22.5 0 11 1.4 18.7 4.3 22.9 3 4 9.2 6 18.5 6l23-1.6.7 21.6c-14.1 2.9-24.9 4.3-32.3 4.3-14.6 0-25.2-4.2-31.7-12.6-6.3-8.4-9.5-22-9.5-40.6s3.3-32 10-40.2C148 41.2 158.7 37 173.3 37zM246.4 141.6H220V0h26.5v45.3A53.4 53.4 0 01271 38c13.2 0 22.3 4 27.4 12 5 8 7.5 20.2 7.5 36.8v54.8h-26.6V87.4c0-8.5-1-14.8-3-18.8-2-4.2-5.9-6.3-11.8-6.3-5.2 0-10.3.8-15.5 2.4l-2.6.8v76zM400.4 72v42c.3 3.3.8 5.6 1.6 7 .8 1.2 2.4 2 5 2.6L406 144a75 75 0 01-16.2-1.4c-4-1-8-2.8-12.1-5.7a65 65 0 01-29.1 7.1c-20.5 0-30.8-11-30.8-33.2 0-10.8 2.9-18.4 8.6-22.8a46.6 46.6 0 0126.1-8.1l21.2-1.6V72c0-4.2-.9-7-2.7-8.5-1.9-1.6-4.9-2.4-9-2.4L325 62.7l-.8-18.8c14.1-4 27.5-5.9 40.2-5.9 12.8 0 22 2.7 27.6 8.1 5.7 5.4 8.5 14 8.5 25.9zm-44.6 26.7c-7.4.7-11.1 4.7-11.1 12.1 0 7.4 3.2 11.2 9.7 11.2 5 0 10.5-.9 16.5-2.5l3-.8V97.1l-18.1 1.6zM419.8 141.6V40.4H446v10.8A99.7 99.7 0 01477.8 38v27.3a302.4 302.4 0 00-27.5 7.1l-4 1.4v67.8h-26.5zM551.4 63.5H527V105c0 4 0 7 .2 8.7.3 1.6 1 3 2.2 4.2 1.3 1.2 3.3 1.8 6 1.8l15-.4 1.2 21.7a99 99 0 01-20.2 3c-12 0-20-2.7-24.4-8-4.4-5.6-6.5-15.7-6.5-30.4v-42h-11.7V40.3h11.7v-28H527v28h24.4v23.1z"
  }), includeDomain && (0, _preact.h)("path", {
    fill: textColor,
    d: "M564 142.9v-15.2h13.3v15.2H564zM605.5 96c3.2 0 7.3.5 12.3 1.5l2.5.5-.4 9.7c-4.8-.5-8.4-.7-10.8-.7-4.2 0-7 1-8.5 2.7-1.3 1.8-2 5.2-2 10.2 0 5 .7 8.5 2 10.4 1.4 1.8 4.3 2.7 8.6 2.7l10.7-.7.4 9.8c-6.6 1.3-11.6 1.9-15 1.9-7 0-11.8-1.9-14.9-5.7-3-3.8-4.4-10-4.4-18.4 0-8.4 1.5-14.5 4.6-18.2 3.1-3.8 8-5.7 15-5.7zM631.6 102.3c3.3-4.2 8.7-6.3 16.4-6.3 7.6 0 13 2.1 16.4 6.3 3.2 4.2 4.9 10 4.9 17.6 0 16-7.1 24.1-21.3 24.1-14.2 0-21.3-8-21.3-24 0-7.7 1.7-13.5 5-17.7zm9.5 28c1.3 2.2 3.6 3.3 6.9 3.3 3.3 0 5.5-1.1 6.7-3.3 1.3-2.2 2-5.7 2-10.4s-.7-8.1-2-10.3c-1.2-2-3.4-3.2-6.7-3.2-3.3 0-5.6 1.1-6.9 3.2a21.4 21.4 0 00-1.8 10.3c0 4.7.6 8.2 1.8 10.4zM689.8 142.9h-12.4V97.1h12.3v2.6a23 23 0 0111-3.7c5 0 8.8 1.4 11.5 4.3a34.9 34.9 0 0115.5-4.3c6.1 0 10.4 1.8 12.7 5.3 2.4 3.5 3.6 9 3.6 16.8v24.8h-12.4v-24.5c0-3.9-.4-6.7-1.3-8.6-.8-1.9-2.6-2.8-5.2-2.8-2 0-4.3.4-7.2 1.3l-1.4.4c.3 4.6.4 8 .4 10.5v23.7h-12.4v-23.5c0-4.6-.4-7.7-1.2-9.6-.8-1.9-2.5-2.8-5.3-2.8-2.4 0-4.7.4-7 1.3l-1.2.3V143z"
  }));
};

exports.XChart = XChart;